Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee:
Category: Labeling
Target version: 2.3.0-2446 (rev. org.gvsig.desktop-2.0.153)
Severity: Major Add-on version:
gvSIG version: 2.3.0 Add-on build:
gvSIG build: 2444 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

When we use "Labels defined by user" option, and "All features at the same way", it doesn't work correctly.

- Labels take a lot of time to appear. 
- Not all the labels appear.

It works correctly in gvSIG 2.2.

I attach log file and two images with an example, in gvSIG 2.2 and 2.3, with the same label configuration (labelling by one field, and 14
pixels). In gvSIG 2.3 it took about 45 seconds and not all the labels appear.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 4372: Comportamiento caó... Closed 09/19/2016

Associated revisions
Revision 42980 - 09/16/2016 02:43 PM - Francisco Díaz Carsí

refs #4368 Fixed isOverlapping method for labeling.

History
#1 - 09/15/2016 01:17 PM - Joaquín  del Cerro Murciano
- Target version set to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)
- Assignee set to Francisco Díaz Carsí

#2 - 09/16/2016 02:47 PM - Francisco Díaz Carsí
- Assignee deleted (Francisco Díaz Carsí)
- Status changed from New to Fixed

#3 - 09/19/2016 11:53 AM - Francisco Díaz Carsí
- Related to gvSIG bugs #4372: Comportamiento caótico de la interfaz del etiquetado avanzado added

#4 - 09/20/2016 08:08 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2446 (rev. org.gvsig.desktop-2.0.153)

#5 - 10/20/2016 05:22 PM - Álvaro Anguix
- Status changed from Fixed to Closed
Labelling-gvSIG_2_2.png 63.5 KB 09/15/2016 Mario Carrera
Labelling-gvSIG_2_3.png 47.3 KB 09/15/2016 Mario Carrera
gvSIG.log 419 KB 09/15/2016 Mario Carrera
